Package wx :: Class BookCtrlBase

[frames | no frames]

## Type BookCtrlBase

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                            BookCtrlBase

Known Subclasses:
  `Choicebook`, `Listbook`, `Notebook`, `Toolbook`, `Treebook`

Proxy of C++ BookCtrlBase class

Method Summary
| `__init__(self)`
bool | `AddPage(self, page, text, select, imageId)`
| `AdvanceSelection(self, forward)`
| `AssignImageList(self, imageList)`
Size | `CalcSizeFromPage(self, sizePage)`
int | `ChangeSelection(self, n)`
bool | `DeleteAllPages(self)`
bool | `DeletePage(self, n)`
VisualAttributes | ``GetClassDefaultAttributes`(variant)` Get the default attributes for this class. (Static method)
int | `GetControlMargin(self)`
Sizer | `GetControlSizer(self)`
Window | `GetCurrentPage(self)`
bool | `GetFitToCurrentPage(self)`
ImageList | `GetImageList(self)`
unsigned int | `GetInternalBorder(self)`
Window | `GetPage(self, n)`
size_t | `GetPageCount(self)`
int | `GetPageImage(self, n)`
String | `GetPageText(self, n)`
int | `GetSelection(self)`
(tab, where) | ``HitTest`(pt)` Returns the page/tab which is hit, and flags indicating where using wx.NB_HITTEST flags.
bool | `InsertPage(self, n, page, text, select, imageId)`
bool | `IsVertical(self)`
bool | `RemovePage(self, n)`
| `SetControlMargin(self, margin)`
| `SetFitToCurrentPage(self, fit)`
| `SetImageList(self, imageList)`
| ``SetInternalBorder`(*args, **kwargs)` SetInternalBorder(self, unsigned int internalBorder)
bool | `SetPageImage(self, n, imageId)`
| `SetPageSize(self, size)`
bool | `SetPageText(self, n, strText)`
int | `SetSelection(self, n)`

Property Summary
| `ControlMargin`: See `GetControlMargin` and `SetControlMargin`
| `ControlSizer`: See `GetControlSizer`
| `CurrentPage`: See `GetCurrentPage`
| `FitToCurrentPage`: See `GetFitToCurrentPage` and `SetFitToCurrentPage`
| `ImageList`: See `GetImageList` and `SetImageList`
| `InternalBorder`: See `GetInternalBorder` and `SetInternalBorder`
| `Page`: See `GetPage`
| `PageCount`: See `GetPageCount`
| `PageImage`: See `GetPageImage` and `SetPageImage`
| `PageText`: See `GetPageText` and `SetPageText`
| `Selection`: See `GetSelection` and `SetSelection`
| `thisown`: The membership flag

Instance Method Details

### HitTest(pt)

Returns the page/tab which is hit, and flags indicating where using wx.NB_HITTEST flags.

  Parameters:
    `pt`
    (type=Point)

  Returns:
    (tab, where)
  Overrides:
    `wx.Window.HitTest`

### SetInternalBorder(*args, **kwargs)

SetInternalBorder(self, unsigned int internalBorder)

Static Method Details

### GetClassDefaultAttributes(variant=WINDOW_VARIANT_NORMAL)

Get the default attributes for this class. This is useful if you want to use the same font or colour in your own control as in a standard control -- which is a much better idea than hard coding specific colours or fonts which might look completely out of place on the user's system, especially if it uses themes.

The variant parameter is only relevant under Mac currently and is ignore under other platforms. Under Mac, it will change the size of the returned font. See `wx.Window.SetWindowVariant` for more about this.

  Parameters:
    `variant`
    (type=int)

  Returns:
    VisualAttributes

Property Details

### ControlMargin

See `GetControlMargin` and `SetControlMargin`

  Get Method:
    `GetControlMargin`(self)
  Set Method:
    `SetControlMargin`(self, margin)

### ControlSizer

See `GetControlSizer`

  Get Method:
    `GetControlSizer`(self)

### CurrentPage

See `GetCurrentPage`

  Get Method:
    `GetCurrentPage`(self)

### FitToCurrentPage

See `GetFitToCurrentPage` and `SetFitToCurrentPage`

  Get Method:
    `GetFitToCurrentPage`(self)
  Set Method:
    `SetFitToCurrentPage`(self, fit)

### ImageList

See `GetImageList` and `SetImageList`

  Get Method:
    `GetImageList`(self)
  Set Method:
    `SetImageList`(self, imageList)

### InternalBorder

See `GetInternalBorder` and `SetInternalBorder`

  Get Method:
    `GetInternalBorder`(self)
  Set Method:
    `SetInternalBorder`(*args, **kwargs)

### Page

See `GetPage`

  Get Method:
    `GetPage`(self, n)

### PageCount

See `GetPageCount`

  Get Method:
    `GetPageCount`(self)

### PageImage

See `GetPageImage` and `SetPageImage`

  Get Method:
    `GetPageImage`(self, n)
  Set Method:
    `SetPageImage`(self, n, imageId)

### PageText

See `GetPageText` and `SetPageText`

  Get Method:
    `GetPageText`(self, n)
  Set Method:
    `SetPageText`(self, n, strText)

### Selection

See `GetSelection` and `SetSelection`

  Get Method:
    `GetSelection`(self)
  Set Method:
    `SetSelection`(self, n)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:42 2007 | http://epydoc.sf.net